gd_nfragments(3)

NAME
gd_nfragments — retrieve the number of format specification fragments in a dirfile

SYNOPSIS
#include <getdata.h>

int gd_nfragments(const DIRFILE *dirfile);

DESCRIPTION
The function queries a dirfile(5) database specified by and returns the total number of parsed format specification fragments in the database.

The argument must point to a valid DIRFILE object previously created by a call to

RETURN VALUE
Upon successful completion, returns the total number of format specification fragments which are present in the dirfile.

On error, this function return zero and store a negative-valued error code in the DIRFILE object which may be retrieved by a subsequent call to Possible error codes are: The supplied dirfile was invalid.

A descriptive error string for the error may be obtained by calling

HISTORY
The function appeared in GetData-0.4.0.

In GetData-0.7.0, this function was renamed to

SEE ALSO
dirfile(5),